For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
            • Companies
              • GETList Company Permissions
              • POSTCreate Company Permission
              • PUTUpdate Company Permission
              • DELDelete Company Permission
              • GETList Company Roles
              • POSTCreate Company Role
              • GETGet Company Role Details
              • PUTUpdate Company Role
              • DELDelete Company Role
          • Invoice Management
          • Orders
          • Payment
          • Quotes
          • Sales Staff
          • Shopping List
          • Super Admin
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementCompanyCompany Roles and Permissions

Delete Company Role

DELETE
https://api-b2b.bigcommerce.com/api/v3/io/companies/roles/:roleId
DELETE
/api/v3/io/companies/roles/:roleId
$curl -X DELETE https://api-b2b.bigcommerce.com/api/v3/io/companies/roles/123456 \
> -H "X-Auth-Token: <apiKey>"
200200 - SUCCESS
1{
2 "code": 200,
3 "data": {},
4 "meta": {
5 "message": "SUCCESS"
6 }
7}
Deletes a custom Company user role. You cannot delete predefined Company roles, or custom roles that are currently assigned to a Company user.
Was this page helpful?
Previous

Update Company Role

Next

Invoice Management

Built with

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Path parameters

roleIdintegerRequired
The unique identifier for a Company user role.

Response

OK
codeinteger
dataobject
metaobject